Welcome to mirror list, hosted at ThFree Co, Russian Federation.

cygwin.com/git/newlib-cygwin.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcvs2svn <>2002-01-02 03:06:36 +0300
committercvs2svn <>2002-01-02 03:06:36 +0300
commit9783ce28caf426c5ab39d1d6aefa31cfdb1b8234 (patch)
tree4bac6085e7b0a39a0eb017a135fee30dadc49b16 /winsup/cygwin/speclib
parent10caff1aadd69ebe7fbfba162dd23f6b2dc8b5a4 (diff)
This commit was manufactured by cvs2svn to create branch 'cygwin_daemon'.
Cherrypick from master 2002-01-02 00:06:35 UTC Christopher Faylor <me@cgf.cx> '* speclib: Remove temp files automatically.': winsup/cygwin/ChangeLog-2001 winsup/cygwin/cygmagic winsup/cygwin/fhandler_disk_file.cc winsup/cygwin/how-fhandlers-work.txt winsup/cygwin/newsym winsup/cygwin/regex/COPYRIGHT winsup/cygwin/regex/cclass.h winsup/cygwin/regex/cname.h winsup/cygwin/regex/engine.c winsup/cygwin/regex/engine.ih winsup/cygwin/regex/mkh winsup/cygwin/regex/regcomp.c winsup/cygwin/regex/regcomp.ih winsup/cygwin/regex/regerror.c winsup/cygwin/regex/regerror.ih winsup/cygwin/regex/regex.3 winsup/cygwin/regex/regex.7 winsup/cygwin/regex/regex.h winsup/cygwin/regex/regex2.h winsup/cygwin/regex/regexec.c winsup/cygwin/regex/regfree.c winsup/cygwin/regex/tests winsup/cygwin/regex/utils.h winsup/cygwin/regexp/v8_regerror.c winsup/cygwin/regexp/v8_regexp.c winsup/cygwin/regexp/v8_regsub.c winsup/cygwin/rmsym winsup/cygwin/speclib winsup/cygwin/winbase.h
Diffstat (limited to 'winsup/cygwin/speclib')
-rwxr-xr-xwinsup/cygwin/speclib12
1 files changed, 12 insertions, 0 deletions
diff --git a/winsup/cygwin/speclib b/winsup/cygwin/speclib
new file mode 100755
index 000000000..f9c467685
--- /dev/null
+++ b/winsup/cygwin/speclib
@@ -0,0 +1,12 @@
+#!/bin/sh
+case "$1" in
+ -v) v="-v"; shift
+esac
+lib=$1; shift
+nm=$1; shift
+dlltool=$1; shift
+def=$1; shift
+trap "rm /tmp/$$.def" 0 1 2 15
+(echo "LIBRARY cygwin1.dll
+EXPORTS"; $nm --extern-only --defined-only $* | sed -e '/^[ ]*$/d' -e '/:$/d' -e 's/^.* _\(.*\)/\1/' | grep $v -f - -w $def |egrep -vi '^library|exports|^$' | sort) > /tmp/$$.def
+exec $dlltool -d /tmp/$$.def -l "$lib" -D /dev/null